Bug 166277 - Privoxy will not resolve sites in FC4.
Privoxy will not resolve sites in FC4.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: privoxy (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-18 12:44 EDT by Motor
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 13:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Motor 2005-08-18 12:44:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-UK; rv:1.7.8) Gecko/20050524 Fedora Firefox/1.0.4

Description of problem:
Attempting to access the web with a browser via privoxy in FC4 always results in a 404 error. Web pages can be loaded normally when not accessed via privoxy.



Version-Release number of selected component (if applicable):
privoxy-3.0.3-7

How reproducible:
Always

Steps to Reproduce:
1. privoxy installed and running
2. web browser accessing the web via it
3. selinux in enforcing mode
4. try to access a website

Actual Results:  404 errors

Additional info:

Privoxy does start and run (and can be seen in the task list), but it displays this message at the console when started:

>/etc/init.d/privoxy start

Starting privoxy: Aug 18 17:28:40 Privoxy(-1208572224) Info: loading configuration file '/etc/privoxy/config':  [  OK  ]

running this command: 

setenforce 0

makes privoxy functional, and this one:

setenforce 1

makes it immediately fail with 404 errors again. With both of the above commands, no restart of privoxy is needed to change its behaviour.

I have updated the selinux-policy-targeted rpm to the latest version available (via yum):

selinux-policy-targeted-1.25.3-12

and rebooted, to no avail. The message still appears when starting privoxy, and it still returns a 404 error to the browser when not running with "setenforce 0".
Comment 1 David Nielsen 2006-02-24 05:02:02 EST
I'm seeing this with FC5 test3 as well
Comment 2 Daniel Walsh 2006-02-24 08:10:09 EST
What AVC Messages are you seeing? 
Comment 3 Christian Iseli 2007-01-22 05:56:15 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 David Nielsen 2007-06-06 13:13:14 EDT
This one went away ages ago

Note You need to log in before you can comment on or make changes to this bug.